#!/bin/csh

# delete v6.0
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v60dir=$dnetdir/v60

set module=(dnet.cgi dnreml.cgi dnremlc.cgi dnrich.cgi dnrinfo.cgi dnrrefer.cgi dnrsch.cgi dnruset.cgi xagenda.cgi xagent.cgi xalarm xcabinet.cgi xdoc.cgi xenquete.cgi xforum.cgi xinfo.cgi xkoubai.cgi xmail.cgi xmailsearch xmemp.cgi xpay.cgi xproject.cgi xreminder xreport.cgi xsearch.cgi xstock.cgi xtag.cgi xwmlrecv)
set page=(xagendafolder.html xagendafoldernoframe.html xsetlogin.html xsetsmtp.html xsetusersopt.html xusetusersopt.html)
set help=(docfolderaccess psetindex usetusersopt)
set local=(com message sch set stock uset)

# module delete
foreach m($module)
	rm -f $dnetdir/$m
end
foreach p($page)
	rm -f $dnetdir/page/$p
end
foreach h($help)
	rm -f $dnetdir/help/$h
end
foreach l($local)
	rm -f $dnetdir/local.jp/$l
end

# data move
rm -rf $dnetdir/data/version

# image move
#rm -f $imgdir/neoimage/common/orange/s_wlinkup.gif

## -- recover v6.0r1.6

tar zxvf $dnetdir/v60r16.tar.gz

# module move
set v60tar=home/groups/home/web/dnet/v60r16
#cp -fr $v60tar/neoimage $imgdir/.
#rm -rf $v60tar/neoimage

cp -rf $v60tar/* $dnetdir/.

# delete v60r16
rm -rf $v60tar
rm -rf $dnetdir/v60r16.tar.gz

chown -R www:www $dnetdir

echo "post-uninstall $$ $0" >> /tmp/install.log
exit 0
